> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.shimi.cash/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.shimi.cash/_mcp/server.

# List Supported Currencies

GET https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/currencies

List supported crypto currencies/assets.

Returns **all** currencies configured on the platform (fiat included) as `{id, name, is_crypto}` - filter on `is_crypto: true`. Use the numeric `id` as `currencyId` in **Send Crypto**, which only accepts crypto currencies.

Reference: https://docs.shimi.cash/api-reference/shimi-api/crypto/list-supported-currencies

## Authentication

- `Authorization` header (bearer token, required) — Access token from Generate Access Token (valid 15 minutes).

## Response

### 200

OK

- `status` (string, optional)
- `data` (list of CryptoCurrenciesGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `status` (string, optional)
- `message` (string, optional)

### 401 Unauthorized Error

Unauthorized

- `message` (string, optional)

### 403 Forbidden Error

Invalid or expired access token / KYB not approved / Account deactivated

- `message` (string, optional)
- `code` (string, optional)
- `kybStatus` (string, optional)

## Types

### CryptoCurrenciesGetResponsesContentApplicationJsonSchemaDataItems

- `id` (integer, optional)
- `name` (string, optional)
- `is_crypto` (boolean, optional)

## Examples

**Response**

```json
{
  "status": "success",
  "data": [
    {
      "id": 1,
      "name": "Nigerian Naira",
      "is_crypto": false
    },
    {
      "id": 2,
      "name": "USDT",
      "is_crypto": true
    },
    {
      "id": 3,
      "name": "SOL",
      "is_crypto": true
    },
    {
      "id": 4,
      "name": "USDC",
      "is_crypto": true
    }
  ]
}
```

**SDK Code**

```python 200 Currencies
import requests

url = "https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/currencies"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript 200 Currencies
const url = 'https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/currencies';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go 200 Currencies
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/currencies"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby 200 Currencies
require 'uri'
require 'net/http'

url = URI("https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/currencies")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java 200 Currencies
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/currencies")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php 200 Currencies
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/currencies', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp 200 Currencies
using RestSharp;

var client = new RestClient("https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/currencies");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift 200 Currencies
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/crypto/currencies")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```